Subject: Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: Michael Albinus <[email-masked]>
Date: Thu, 02 Mar 2023 12:40:26 +0100

João Távora <[email-masked]> writes:

Hi João,

>> Just flushing the connection property "remote-path" is not sufficient I
>> believe.
>
> I've tested it and it works just fine on my end.  What problems did you
> see.

Tramp has documented how a remote path could be set differently for
several hosts. What you describe here does not solve the bug, it is
rather a change request.

I'd prefer to separate this request from the bug. Please write a new bug
report (wishlist severity), and we'll discuss it then. As time permits,
there are other Tramp bugs I need to fix first.

> João

Best regards, Michael.